> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reprovision Local Conversation Runtime

> Return local runtime state; local mode has no infrastructure to provision.



## OpenAPI

````yaml /openapi/agent-sdk.json post /api/conversations/{conversation_id}/runtime/reprovision
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/conversations/{conversation_id}/runtime/reprovision:
    post:
      tags:
        - Conversations
      summary: Reprovision Local Conversation Runtime
      description: >-
        Return local runtime state; local mode has no infrastructure to
        provision.
      operationId: >-
        reprovision_local_conversation_runtime_api_conversations__conversation_id__runtime_reprovision_post
      parameters:
        - in: path
          name: conversation_id
          required: true
          schema:
            format: uuid
            title: Conversation Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationRuntimeInfo'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    ConversationRuntimeInfo:
      description: Runtime availability and recovery information for a conversation.
      properties:
        can_resume:
          title: Can Resume
          type: boolean
        runtime_error:
          anyOf:
            - $ref: '#/components/schemas/ConversationRuntimeError'
            - type: 'null'
        runtime_status:
          $ref: '#/components/schemas/ConversationRuntimeStatus'
      required:
        - runtime_status
        - can_resume
      title: ConversationRuntimeInfo
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ConversationRuntimeError:
      description: Structured details for the latest runtime lifecycle failure.
      properties:
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ConversationRuntimeError
      type: object
    ConversationRuntimeStatus:
      description: Availability of the runtime that executes a conversation.
      enum:
        - available
        - starting
        - missing
        - ownership_lost
        - error
      title: ConversationRuntimeStatus
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.